Retrieves the job approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "de110b2f-3b31-4f87-8a53-3dcdd33a567d",
"jobs_id": "ff386191-462f-465c-b237-234c6d249bae",
"user_id": "de2f27e0-8934-4c2e-a041-f030ac472e3d",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "516b19c5-bdcc-43bd-9d99-f38761a08e35",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-03-12T06:13:28.8087453+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "e7c8520a-92ed-4984-bfe6-cb31a0a937bf",
"rating": 13,
"modified_dateutc": "2026-03-12T06:13:28.8087453+00:00"
}